package ru.yandex.webmaster3.core.turbo.model.commerce;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author kravchenko99
 * @date 12/3/20
 */

@Getter
@AllArgsConstructor
public enum PaymentMethodEnum {
    ONLINE("Картой онлайн", "Оплата через Яндекс с привязанной или новой карты"),
    CASH( "Наличными", "Оплата при получении"),
    CARD( "Картой курьеру", "Оплата при получении"),
    OTHER( "Другие способы оплаты", "Менеджер магазина расскажет о возможных вариантах");

    public String getValue() {
        return name().toLowerCase();
    }

    String defaultLabel;
    String defaultDescription;
}
